<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\SearchCategory */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'product';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="col-xs-5">
    <?php if ($model->photo): ?>
        <?php echo Html::img(
            Yii::$app->glide->createSignedUrl([
                'glide/index',
                'path' => $model->photo,
                'w' => 200
            ], true)
        //['class' => 'article-thumb img-rounded pull-left']
        ) ?>
    <?php endif; ?>

</div>
<div class="products-form">
    <div class="col-xs-5">
<div class="category-index">

    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?php echo Html::a('add product', ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?php echo GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [

            ['class' => 'yii\grid\SerialColumn'],

            'id',
            'name',
            'created_at',



    [
                'class' => 'yii\grid\ActionColumn',
                'template' => '{update} {delete} {viewimage}',
                'buttons' => [
                    'viewimage' => function ($url, $model, $key) {
                        $options = [
                            'title' => Yii::t('yii', 'viewimage'),
                            'aria-label' => Yii::t('yii', 'viewimage'),
                            'data-pjax' => '0',
                        ];
                        return Html::a('<i class="fa fa-file-image-o fa-fw"></i>', ['viewimage', 'id' => $model->id], $options);
                    },
        ],
    ]]]); ?>

</div>
</div>
    </div>